Bug 161133 - [MAINTAINER] dns/ldns: update to 1.6.11
Summary: [MAINTAINER] dns/ldns: update to 1.6.11
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ryan Steinmetz
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-09-29 22:10 UTC by Jaap Akkerhuis
Modified: 2011-10-06 23:50 UTC (History)
1 user (show)

See Also:


Attachments
ldns-1.6.11.patch (2.17 KB, patch)
2011-09-29 22:10 UTC, Jaap Akkerhuis
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jaap Akkerhuis 2011-09-29 22:10:17 UTC
- Update to 1.6.11

Release Notes:
1.6.112011-09-29
* bugfix #394: Fix socket leak on errors
* bugfix #392: Apex only and percentage checks for ldns-verify-zone
  (thanks Miek Gieben)
* bugfix #398: Allow NSEC RRSIGs before the NSEC3 in ldns-verify-zone
* Fix python site package path from sitelib to sitearch for pyldns.
* Fix python api to support python2 and python3 (thanks Karel Slany).
* bugfix #401: Correction of date/time functions algorithm and
  prevention of an infinite loop therein
* bugfix #402: Correct the minimum and maximum number of rdata fields
  in TSIG. (thanks David Keeler)
* bugfix #403: Fix heap overflow (thanks David Keeler)
* bugfix #404: Make parsing APL strings more robust
  (thanks David Keeler)
* bugfix #391: Complete library assessment to prevent assertion errors
  through ldns_rdf_size usage.
* Slightly more specific error messaging on wrong number of rdata
  fields with the LDNS_STATUS_MISSING_RDATA_FIELDS_RRSIG and
  LDNS_STATUS_MISSING_RDATA_FIELDS_KEY result codes.
* bugfix #406: More rigorous openssl result code handling to prevent
  future crashes within openssl.
* Fix ldns_fetch_valid_domain_keys to search deeper than just one level
  for a DNSKEY that signed a DS RR. (this function was used in the
  check_dnssec_trace nagios module)
* bugfix #407: Canonicalize TSIG dnames and algorithm fields
* A new output specifier to accommodate configuration of what to show
  in comment texts when converting host and/or wire-format data to
  string. All conversion to string and printing functions have a new
  version that have such a format specifier as an extra argument.
  The default is changed so that only DNSKEY RR's are annotated with
  an comment show the Key Tag of the DNSKEY.
* Fixed the ldns resolver to not mark a nameserver unreachable when
  edns0 is tried unsuccessfully with size 4096 (no return packet came),
  but to still try TCP. A big UDP packet might have been corrupted by
  fragments dropping firewalls.
* Update of libdns.vim (thanks Miek Gieben)
* Added the ldnsx Python module to our contrib section, which adds even
  more pythonisticism to the usage of ldns with  Python. (Many thanks
  to Christpher Olah and Paul Wouters)
  The ldnsx module is automatically installed when --with-pyldns is
  used with configuring, but may explicitly be excluded with the
  --without-pyldnsx option to configure.
* bugfix #410: Fix clearing out temporary data on stack in sha2.c
* bugfix #411: Don't let empty non-terminal NSEC3s cause assertion
  failure.


Also, change in the port Makefile to satisfy portlint

Generated with FreeBSD Port Tools 0.99
Comment 1 Ryan Steinmetz freebsd_committer freebsd_triage 2011-10-05 12:30:06 UTC
Responsible Changed
From-To: freebsd-ports-bugs->zi

I'll take it.
Comment 2 dfilter service freebsd_committer 2011-10-06 23:43:57 UTC
zi          2011-10-06 22:43:49 UTC

  FreeBSD ports repository

  Modified files:
    dns/ldns             Makefile distinfo 
  Log:
  - Update to 1.6.11
  - Fix up whitespace
  
  PR:             ports/161133
  Submitted by:   Jaap Akkerhuis <jaap@NLnetLabs.nl> (maintainer)
  
  Revision  Changes    Path
  1.26      +22 -21    ports/dns/ldns/Makefile
  1.18      +2 -2      ports/dns/ldns/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Ryan Steinmetz freebsd_committer freebsd_triage 2011-10-06 23:44:04 UTC
State Changed
From-To: open->closed

Committed. Thanks!